> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.byteful.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search City

> Search City entries using various filters.




## OpenAPI

````yaml get /public/user/city/search
openapi: 3.0.1
info:
  title: Byteful Public User API
  description: Public API used for third-party usage.
  termsOfService: https://byteful.com
  contact:
    url: https://byteful.com
    email: developer@byteful.com
  version: '1.0'
  x-logo:
    altText: Byteful
    backgroundColor: '#6354eb'
    url: >-
      https://pbs.twimg.com/profile_banners/1038803520605118464/1729783007/1500x500
servers:
  - url: https://api.byteful.com/1.0/
security: []
paths:
  /public/user/city/search:
    get:
      tags:
        - City
      summary: Search City
      description: |
        Search City entries using various filters.
      parameters:
        - name: city_id
          in: query
          description: ID of the City
          schema:
            type: string
        - name: city_name
          in: query
          description: Name of the City
          schema:
            type: string
        - name: subdivision_id
          in: query
          description: ID of the Subdivision which the City is in
          schema:
            type: string
        - name: city_timezone
          in: query
          description: Timezone of the City
          schema:
            type: string
        - name: city_is_populous
          in: query
          description: >-
            Whether the City one of the ten largest cities in its timezone with
            atleast 300,000 population
          schema:
            type: boolean
        - name: city_alias
          in: query
          description: Indentifier of the city when used in backconnect proxy
          schema:
            type: string
        - name: city_example_postcode
          in: query
          description: Example postcode of the City
          schema:
            type: string
        - name: city_latitude
          in: query
          description: Latitude of the City
          schema:
            type: string
        - name: city_longitude
          in: query
          description: Longitude of the City
          schema:
            type: string
        - name: city_node_count
          in: query
          description: Current number of online nodes in the City
          schema:
            type: integer
        - name: per_page
          in: query
          description: Number of items per page for pagination
          schema:
            type: integer
        - name: page
          in: query
          description: Page number for pagination
          schema:
            type: integer
        - name: sort_by
          in: query
          description: Key for sorting or random.
          schema:
            type: string
      responses:
        '200':
          description: Successful City search
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/CitySuccessfulSearchResponse'
      security:
        - APIPrivateKey: []
          APIPublicKey: []
components:
  schemas:
    CitySuccessfulSearchResponse:
      type: object
      properties:
        data:
          type: array
          description: >-
            Array of City items matching the search criteria up to the limit of
            per_page paramater.
          items:
            type: object
            properties:
              city_alias:
                type: string
                example: City of Lights
              city_creation_datetime:
                type: string
                format: date-time
              city_example_postcode:
                type: string
                example: '75004'
              city_id:
                type: integer
                example: 379657
              city_is_populous:
                type: boolean
                example: true
              city_last_update_datetime:
                type: string
                format: date-time
              city_latitude:
                type: number
                example: 48.85341
              city_longitude:
                type: number
                example: 2.3488
              city_name:
                type: string
                example: Paris
              city_node_count:
                type: integer
                example: 9320
              city_population:
                type: integer
                example: 2138551
              city_timezone:
                type: string
                example: Europe/Paris
              subdivision_id:
                type: string
                example: Ile-de-France
        item_count:
          type: integer
          description: Total number of City items returned in the data field.
        message:
          type: string
          description: Status message for the search.
        page:
          type: integer
          description: Current page number of the search results returned.
        per_page:
          type: integer
          description: Number of City items returned per page.
        total_count:
          type: integer
          description: Total of City items that match the search filter.
      description: City search was successful.
      example:
        data:
          - city_alias: City of Lights
            city_example_postcode: '75004'
            city_id: 379657
            city_is_populous: true
            city_latitude: 48.85341
            city_longitude: 2.3488
            city_name: Paris
            city_node_count: 9320
            city_population: 2138551
            city_timezone: Europe/Paris
            subdivision_id: Ile-de-France
        item_count: 1
        message: City search successful.
        page: 1
        per_page: 10
        total_count: 1
  securitySchemes:
    APIPrivateKey:
      type: apiKey
      description: ' Private API key for user-level authentication.'
      name: X-API-Private-Key
      in: header
    APIPublicKey:
      type: apiKey
      description: ' Public API key for user-level authentication.'
      name: X-API-Public-Key
      in: header

````